Quassel IRC - Bug #105

color button looks strangely under mac os x
02/16/2008 12:38 PM - phon

Status: Resolved Start date: 01/04/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

the color buttons in the color settings menu look pretty with linux und windows - but quite ugly with os x

Associated revisions

Revision 65a1dc35d828432b6f4cc1ed54e0411775¢c7d6d2 - 01/04/2009 05:11 PM - Manuel Nickschas

Improve ColorButton to render properly, adhering to QStyle

Closes #105 (unless it still fails on Mac, then please reopen)

Revision 65a1dc35 - 01/04/2009 05:11 PM - Manuel Nickschas

Improve ColorButton to render properly, adhering to QStyle

Closes #105 (unless it still fails on Mac, then please reopen)

History

#1 - 02/22/2008 05:51 PM - phon

turns out these not quite so good looking buttons are default mac os x buttons (see attached images)

#2 - 07/01/2008 09:44 PM - EgS
They still look pretty ugly -> reopen

#3 - 12/28/2008 01:50 AM - Sputnick
- Priority changed from High to Normal

#4 - 01/04/2009 04:14 PM - Sputnick

- Status changed from Feedback to Assigned
- Assignee changed from phon to Sputnick

- Target version set to 0.4.0

- Start date set to 01/04/2009

- Version set to 0.3.1+

#5 - 01/04/2009 04:17 PM - Sputnick

Looks bad on Oxygen too, by now. Something is totally screwed. Reimplementation necessary, | guess...

#6 - 01/04/2009 05:14 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 65a1dc35d828432b6f4cc1ed54e0411775¢c7d6d2.
